; **********************

;pro my_contour_test_strml_dnsty

device, decomposed =0
restore,'ivec.idl'
uu=float(zmergx) & vv=imaginary(zmergx)
wind=float(sqrt(zmergx*conj(zmergx)))
;
loadct, 39, /silent
tvlct, r, g, b, /get
rgbTable = [[r],[g],[b]]

; The contour data needs to go directly into iMap along with any 
; pertinent icontour specific information and keywords
imap, 1.94*wind,elonx,nlatx,levels=5*indgen(32), RGB_TABLE=rgbTable, /fill, $
       /no_saveprompt, map_projection='equirectangular',  $
       limit=[27.0320,-83.3910,35.0320,-75.3910], $
       /CONTOUR, GRID_UNIT=2 ; ********* important keywords
       
; Add the continent to the imap...
tool = ITGETCURRENT(TOOL=oTool)
void = oTool->DoAction('Operations/Insert/Map/Continents')
;void = oTool->DoAction('Operations/Insert/Map/Countries (high res)')
oContinents = oTool->GetSelectedItems()
idCont = oContinents->GetFullIdentifier() 
;success = oTool->DoSetProperty(idCont, 'Transparency', 0) 
;success = oTool->DoSetProperty(idCont, 'Fill_Color',[192,192,192])

; now add the wind vectors...
;tx=fltarr(51) & ty=fltarr(51) & tu=fltarr(51,51) & tvv=fltarr(51,51)
tx=fltarr(12) & ty=fltarr(12) & tu=fltarr(12,12) & tvv=fltarr(12,12)
for i=0,11 do tx(i)=elonx(56*i)
for i=0,11 do ty(i)=nlatx(56*i)
for i=0,11 do for j=0,11 do tu(i,j)=uu(56*i,56*j)
for i=0,11 do for j=0,11 do tvv(i,j)=vv(56*i,56*j)
print,size(tu),size(tvv),size(tx),size(ty)
;IVECTOR, tu, tvv, tx, ty, /overplot,auto_color=5, $
;         RGB_TABLE=rgbTable,/streamlines,streamline_nsteps=300
         
IVECTOR, tu, tvv, tx, ty, /overplot, $
         /streamlines,streamline_nsteps=300
         
print,'***tx****',tx
print,'****ty****',ty
;END

save,tu,tvv,tx,ty,filename='ivec_crd.idl'
; **********************
